const CryptoJS = require("crypto-js");

const authConfig = (creds) => {
  const decrypted_client_key = CryptoJS.AES.decrypt(
    creds[0].clientId,
    process.env.cryptosecret
  );
  const tls_client_key = decrypted_client_key.toString(CryptoJS.enc.Utf8);

  const decrypted_client_secret = CryptoJS.AES.decrypt(
    creds[0].clientSecret,
    process.env.cryptosecret
  );
  const tls_client_secret = decrypted_client_secret.toString(CryptoJS.enc.Utf8);

  return {
    tls_client_key: tls_client_key,
    tls_client_secret: tls_client_secret,
  };
};

module.exports = authConfig;
