const mongoose = require("mongoose");

const bnumsSchema = new mongoose.Schema(
  {
    bnum: [{ type: String, min: 8, max: 12 }],
    userId: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
      required: true,
      unique: true,
    },
  },
  { timestamps: true }
);

module.exports = mongoose.model("Bnums", bnumsSchema);
