import { ThemeProvider, Container, CssBaseline, Box } from "@material-ui/core/";
import Theming from "./components/Theming";
import Home from "./Home";
import { SnackbarProvider } from "notistack";

function App() {
  return (
    <ThemeProvider theme={Theming()}>
      <CssBaseline />
      <SnackbarProvider maxSnack={3}>
        <Container maxWidth="lg">
          <Home />
        </Container>
      </SnackbarProvider>
    </ThemeProvider>
  );
}

export default App;
